com.thinkaurelius.titan.diskstorage.common

## Class AbstractStoreManager

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.common.AbstractStoreManager

- All Implemented Interfaces:
    StoreManager
  Direct Known Subclasses:
    DistributedStoreManager, LocalStoreManager

      public abstract class AbstractStoreManager
      extends Object
      implements StoreManager

  Abstract Store Manager used as the basis for concrete StoreManager implementations. Simplifies common configuration management.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `batchLoading`
    `protected boolean` | `isReadOnly`
    `protected Configuration` | `storageConfig`
    `protected boolean` | `transactional`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStoreManager(Configuration storageConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntryMetaData[]` | `getMetaDataSchema(String storeName)`
    `Configuration` | `getStorageConfig()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.StoreManager

      `beginTransaction, clearStorage, close, getFeatures, getLocalKeyPartition, getName`

- - ### Field Detail

    - #### transactional

          protected final boolean transactional

    - #### isReadOnly

          protected final boolean isReadOnly

    - #### batchLoading

          protected final boolean batchLoading

    - #### storageConfig

          protected final Configuration storageConfig

  - ### Constructor Detail

    - #### AbstractStoreManager

          public AbstractStoreManager(Configuration storageConfig)

  - ### Method Detail

    - #### getStorageConfig

          public Configuration getStorageConfig()

    - #### getMetaDataSchema

          public EntryMetaData[] getMetaDataSchema(String storeName)

Copyright © 2012–2014. All rights reserved.